Subject: Re: [Iasa20] WGLC: draft-ietf-iasa2-rfc4071bis

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 7 Jan 2019 16:46:19 -0500

Will make this change on the 4071bis doc. Hopefully Jari can update
trust-update accordingly.

Thank you!

On Sat, Dec 22, 2018 at 01:01 Eliot Lear (elear) <[email-masked]> wrote:

> +1 to what Brian wrote.
>
> Eliot
>
> > On Dec 22, 2018, at 03:49, Brian E Carpenter <
> [email-masked]> wrote:
> >
> > Maybe I missed some discussion, but this:
> >
> >> This document obsoletes [RFC4071] (BCP101), [RFC4333], and [RFC7691].
> >
> > is very unusual by including "(BCP101)".
> >
> > BCP101 is currently a set of three RFCs: RFC4071, RFC4371, and RFC7691.
> > This draft obsoletes only two of those. So it cannot claim to obsolete
> > BCP101 as a whole.
> >
> > As already noted, draft-ietf-iasa2-trust-update-02 claims to update
> > RFC4071 (which makes no sense since 4071bis obsoletes it) and RFC4371
> > (without obsoleting it).
> >
> > The fix for this is fiddly but trivial:
> >
> > 1. 4071bis should not claim to obsolete BCP101.
> > 2. trust-update should not claim to update RFC4071.
> > 3. trust-update should include a short text extract from RFC4371**.
> > 4. trust-update should obsolete RFC4371.
> > 5. 4071bis will be designated as BCP101 when published.
> > 6. trust-update will be designated as BCPxxx when published.
> >
> > ** See
> https://mailarchive.ietf.org/arch/msg/iasa20/uQZsZiarA8u1lVWyOCQr-L6Pvfo
> >
> > Regards
> >   Brian Carpenter
> >
> > _______________________________________________
> > iasa20 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/iasa20
>
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>
-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 9 Jan 2019 17:17:29 -0500

> 5. 4071bis will be designated as BCP101 when published.

Brian, if you know the answer or have an opinion: Should we put something
in the document to the RFC Editor to specify this?

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Jan 2019 12:03:12 +1300

> in the document to the RFC Editor to specify this?

My *belief* is that this will happen automatically, but to be on the safe
side the AD can attach a note to the RFC Editor when the IESG approval
is sent out.

>> 6. trust-update will be designated as BCPxxx when published.

Same there - a note clarifying that this is now a separate BCP from 101
might be in order, if people agree with that.

   Brian